<div class="col">
  <form [formGroup]="userForm" (ngSubmit)="ajouterUser()">
    <div class="form-group">
      <label for="prenom">Prénom</label>
      <input type="text" formControlName="prenom" id="prenom" class="form-control" placeholder="prenom" aria-describedby="helpId">
    </div>
    <div class="form-group">
      <label for="nom">Nom</label>
      <input type="text" formControlName="nom" id="nom" class="form-control" placeholder="nom" aria-describedby="helpId">
    </div>
    <div class="form-group">
      <label for="email">E-mail</label>
      <input type="email" class="form-control" formControlName="email" id="email" aria-describedby="emailHelpId" placeholder="email">
    </div>
    <div class="form-group">
      <label for="drinkPreference">Boisson</label>
      <select class="form-control" formControlName="drinkPreference" id="drinkPreference">
        <option value="Coca">Coca</option>
        <option value="Fanta"> Fanta</option>
      </select>
    </div>
    <div formArrayName="hobbies">
      <h3>Vos hobbies</h3>
      <div class="form-group" *ngFor="let hobbyControl of getHobbies().controls; let i = index">
        <input type="text" class="form-control" [formControlName]="i" id="" aria-describedby="helpId" placeholder="Hobby">
      </div>
      <button type="button" class="btn btn-success mb-1" (click)="onAddHobbie()">Ajouter un hobby</button>
    </div>

    <button [disabled]="userForm.invalid" class="btn btn-primary" type="submit">Ajouter</button>
  </form>
</div>